## org.omg.CORBA
Class BAD_INV_ORDERHolder

    java.lang.Object
      |
      +--org.omg.CORBA.BAD_INV_ORDERHolder

All Implemented Interfaces:
  Streamable

public final class BAD_INV_ORDERHolder
extends java.lang.Object
implements Streamable

Holder class for : BAD_INV_ORDER

Author:
  OpenORB Compiler

Field Summary
`BAD_INV_ORDER` `value` Internal BAD_INV_ORDER value

Constructor Summary
`BAD_INV_ORDERHolder()` Default constructor
`BAD_INV_ORDERHolder(BAD_INV_ORDER initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read BAD_INV_ORDER from a marshalled stream
`TypeCode` `_type()` Return the BAD_INV_ORDER TypeCode
`void` `_write(OutputStream ostream)` Write BAD_INV_ORDER into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public BAD_INV_ORDER value

  Internal BAD_INV_ORDER value

Constructor Detail

### BAD_INV_ORDERHolder

    public BAD_INV_ORDERHolder()

  Default constructor

### BAD_INV_ORDERHolder

    public BAD_INV_ORDERHolder(BAD_INV_ORDER initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read BAD_INV_ORDER from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write BAD_INV_ORDER into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the BAD_INV_ORDER TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode